from PyQt5.QtWidgets import QLabel, QPushButton

from users.user_window_default import UserWindowDefaultWidget


class UsersClearFingerWidget(UserWindowDefaultWidget):
    def __init__(self, parent=None):
        super().__init__(parent)

        label = QLabel(
            _("Bсе отпечатки пользователя<br>будут удалены. Продолжить?"),
            self)
        label.setGeometry(0, 195, 800, 290-195)
        label.setObjectName('msg')

        button = QPushButton(_("Да"), self)
        button.setGeometry(251, 340, 357-251, 404-340)
        button.setObjectName('yes')
        button.clicked.connect(self.accept.emit)
        button.clicked.connect(self.go_back.emit)

        button = QPushButton(_("Нет"), self)
        button.setGeometry(442, 340, 549-442, 404-340)
        button.setObjectName('no')
        button.clicked.connect(self.go_back.emit)
        button.clicked.connect(self.cancel.emit)
