from PyQt5.QtWidgets import QLabel

from window_default import WindowDefaultWidget


class UserWindowDefaultWidget(WindowDefaultWidget):
    selected_user = None

    def __init__(self, parent=None):
        super().__init__(parent)
        self.lbl_name = QLabel('', self)
        self.lbl_name.setGeometry(400-200, 0, 400, 50)
        self.lbl_name.setObjectName('name')
        if 'selected_user' in dir(parent):
            self.selected_user = parent.selected_user
        if 'protocol' in dir(parent):
            self.protocol = parent.protocol

    def show(self):
        if self.selected_user and 'name' in self.selected_user:
            self.lbl_name.setText(self.selected_user['name'])
        super().show()
